Subject: Re: bug#22118: 23.2; Hitting ^W in a search selects the wrong word.

From: Jan-Mark <[email-masked]>
Date: Thu, 13 Aug 2020 18:53:33 +0200

> OK, thanks.  Any objections to closing this?
I don't remember even what this was about. But ^W should not add words at the cursor if the
search failed to match. Which is different from the search failing because it is at the last
match (about to warp to the first match again).

If the word 'aapX' is not in my text, 'aap noot' is, and I search for 'aapX' it brings me to
'aap noot' with a failure notice. If I than type ^W it should not start looking for 'aapX noot'.
Just take the ^W out of the game in cases like this. I mean if 'aapX' cannot be found (even
once) why should you allow people to look for 'aapX noot'?

I still feel it is a bug, but I agree that it will not hit many people often. I have this once
every 1000 hours (estimate). So it's not a big bug. But a bug nonetheless.

If there is bigger bugs to fry, close it, if it is an easy fix (should be?) I'd say fix it first.

Regards,

-- 
Jan-Mark